// import { $http } from '@/common/http';


export default {
	login: '/user/auth/login',						//登录
	register: '/user/auth/register',				//注册
	logout: '/admin/signout',						//退出
	Qrcode: '/common/wx/mini/code',					//生成二维码
	sendCode: '/common/send/sms/code',				//发送验证码
	verifyCode: '/common/verify/sms/code', 					//验证短信验证码
	
	tokenLogin: '/user/user/token/login',
	
	getPayParmasStatus: '/user/pay/query/pay/bill',
	
	newRegister: '/user/auth/register/new',

	setPayPwd: '/user/user/pay/password/set', //设置支付密码
	setPwd: '/user/user/Login/password/set', //设置登录密码
	
	setUserInfo: '/user/user/member/set', //设置会员姓名、日期、所在地 

	bindReferrer: '/user/user/bind/referrer', 		//绑定临时上级
	getShareInfo: '/user/setup/share/info', 		//C端分享设置详情
	updateUserInfo: '/user/user/update/info',//更新个人信息
	isPayPassword: '/user/user/pay/password/check',

	// 商品相关=====================
	getBannerList: '/user/setup/banner/get',		//轮播图
	// getCategoryList: '/user/goods/groupings/list', 	// 分类列表
	getGoodsList: '/user/goods/list', 				// 商品列表
	getGoodsInfo: '/user/goods/info', 				// 商品详情
	getCategoryList: '/user/goods/sort/list', 			//分类列表
	getPartitionCategoryList: '/user/goods/sort/partition/list', 			//分类列表

	// 购物车
	carGoodsList: '/user/cart/list', 				// 购物车列表
	addCarGoods: '/user/cart/update', 				// 加入购物车
	batchUpdateCarGoods: '/user/cart/batch/update', //批量更新购物车

	// 地址相关=====================
	addressList: '/user/address/list', 				// 地址列表
	addressDetail: '/user/address/info', 			// 地址详情
	addressAdd: '/user/address/add', 				// 地址添加
	addressEdit: '/user/address/update', 			// 地址编辑
	deleteAddress: '/user/address/del', 			// 地址删除
	addressDefault: '/user/address/set/default', 	// 地址设置默认
	getArea: '/common/allarea',						//地区编码, //获取省市区地址


	// 订单相关=====================
	orderList: '/user/order/list', 					// 订单列表
	orderDetail: '/user/order/info', 				// 订单详情
	logistics: '/user/order/query/logistic', 		// 物流信息
	cancelOrder: '/user/order/cancel', 				// 取消订单
	confirmOrder: '/user/order/confirm', 			// 确认收货
	submitOrder: '/user/order/query/payment', 		//计算订单应付金额
	createOrder: '/user/order/create', 				// 创建订单
	getPayParmas: '/user/pay/create',				// 拉取支付参数
	closePay: '/user/pay/close', 					//关闭支付
	getOrderNum: '/user/order/count/num', 			//查询各状态订单数量
	
	getLogisticsInfo: '/user/order/query/logistic', //获取物流信息

	// 用户
	// getBalance: '/user/fund/balance/get',
	isRealName: '/user/user/authentication/check', //检查是否实名认证
	getUserInfo: '/user/user/info',//查询个人信息

	// 提现
	setWithdrawInfo: '/user/draw/data/add',
	getWithdrawInfo: '/user/draw/data/info',
	applyWithdraw: '/user/draw/log/add',
	getDrawInfo: '/user/draw/info',
	
	
	getKpiDrawInfo: '/user/draw/kpi/info',
	setKpiWithdrawInfo: '/user/draw/kpi/data/add',
	getKpiWithdrawInfo: '/user/draw/kpi/data/info',
	applyKpiWithdraw: '/user/draw/kpi/log/add',
	
	transferApply: '/user/fund/transfer/execute',


	// 售后
	applyAfterSale: '/user/order/after/sale/apply',
	getAfterSalePayment: '/user/order/after/sale/calculate',


	getAfterSaleList: '/user/order/after/sale/list',
	getAfterSaleDetail: '/user/order/after/sale/info',
	cancelAfterSale: '/user/order/after/sale/repeal/apply',
	getCompanyList: '/user/order/after/sale/return/company/list',
	setCompanyInfo: '/user/order/after/sale/update/return/proof',
	
	
	realName: '/user/user/authentication',
	
	getMessageList: '/user/message/list',
	getMessageNum: '/user/message/number',
	
	getFansList: '/user/user/fans/list',
	
	// getQuotaInfo: '/user/quota/info',
	
	getFundLogs: '/user/fund/logs',
	getFundTypeList: '/user/fund/type/list',
	
	
	getRebateSum: '/user/rebate/query/sum/data',
	bindOpenId: '/user/user/bind/wx',
	widthdrawLogs: '/user/draw/log/list',
	
	widthdrawKpiLogs: '/user/draw/kpi/log/list',
	
	
	
	
	
	
	
	
	applyAgent: '/user/user/agent/apply',
	getAgentInfo: '/user/user/agent/info',
	
	
	
	getShopManageInfo: '/user/shop/manage/info',
	updateShopManage: '/user/shop/manage/update',
	addShopManage: '/user/shop/manage/add',
	
	
	
	
	getClassroomPosterInfo: '/user/classroom/poster/info',
	getClassroomSortList: '/user/classroom/sort/list',
	getClassroomInfo: '/user/classroom/article/info',
	getClassroomArticleList: '/user/classroom/article/list',
	
	
	getDictionaryList: '/user/dictionary/item/list/son',
	
	
	getApplyVip: '/user/user/apply/vip/top',
	
	openQuota: '/user/quota/open',
	
	getQuotaInfo: '/user/quota/info',
	
	
	getRebateInfoList: '/user/rebate/info/list',
	getRebateTypeList: '/user/rebate/info/type/list',
	
	
	
	getBalance: '/user/fund/info/personal/center/balance',
	
	getWalletInfo: '/user/fund/info/wallet/data',
	
	
	getFundInfoSum: '/user/fund/info/sum',
	getFundInfoList: '/user/fund/info/list',
	
	getKpiList: '/user/kpi/list',
	getKpiStatistics: '/user/kpi/statistics',
	
	
	getAgreementInfo: '/user/agreement/info',
	
	getDynamicsList: '/user/setup/news/list',
	getDynamicsInfo: '/user/setup/news/info',
	
	
	bindUnionId: '/user/auth/bind/union',
	
	getActivityList: '/user/goods/activity/list',
	
	getAgreementList: '/user/agreement/list',
	
	tpOrderList: '/user/order/tp/list',
	tpOrderDetail: '/user/order/tp/info',
	
	getGoodBuyRatio: '/user/goods/self/buy/ratio',
	
	getPayCardList: '/user/pay/card/list',
	verifyPayCard: '/user/pay/union/verify',
	signPayCard: '/user/pay/union/sign',
	unBindPayCard: '/user/pay/union/terminate'
}
